import 'package:flutter_test/flutter_test.dart';
import 'package:twipe_flutter_core/utils/test/tester.dart';

import '../utils/helper/collection_helper.dart';

class CollectionTester extends Tester {
  CollectionHelper? collectionHelper;
  @override
  Future<bool> setup() async {
    collectionHelper = new CollectionHelper('test_collection_helper');
    await collectionHelper!.setup();
    return true;
  }

  @override
  Future<bool> clear() async {
    if (collectionHelper == null) {
      return false;
    }
    await collectionHelper!.clear();
    collectionHelper = null;
    return true;
  }

  @override
  Map<String, dynamic> get tests =>
      {'collectionCanAddModel': collectionCanAddModel};

  Future<void> collectionCanAddModel() async {
    CollectionHelperModel model =
        collectionHelper!.createModel({'id': 'test'})!;
    await collectionHelper!.saveModel(model);
    expect(collectionHelper!.hasModel('test'), true);
  }
}
